import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { UserstoryTableComponent } from './userstory-table/userstory-table.component';
import { TaskTableComponent } from './task-table/task-table.component';
import { SprintTableComponent } from './sprint-table/sprint-table.component';
// import { DashboardComponent } from './dashboard/dashboard.component';

const routes: Routes = [
  { path: 'tasks', component: TaskTableComponent },
  { path: 'userstories', component: UserstoryTableComponent },
  { path: 'sprints', component: SprintTableComponent },
  // { path: 'dashboard', component: DashboardComponent },
  { path: '', redirectTo: '/tasks', pathMatch: 'full' },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
